#sample12-2-1
import urllib.request
import re
from bs4 import BeautifulSoup

#爬虫函数
def crawl(url):
    headers = {'User-Agent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.146 Safari/537.36'}
    request = urllib.request.Request(url=url, headers=headers)
    res = urllib.request.urlopen(request)
    contents = res.read().decode('utf-8')
    soup = BeautifulSoup(contents,"html.parser")
    print("豆瓣电影Top10：\n序号\t影片名\t\t\t\t评分\t\t评价人数")
    count = 0
    for tag in soup.find_all(attrs = {"class":"item"}):
        id = tag.em.get_text()
        title = tag.find_all(attrs = {"class":"title"})
        film_name = title[0].get_text()
        info = tag.find(attrs = {"class":"star"}).get_text()
        info = info.replace('\n',"\t") #删除多余换行
        info = info.replace('人评价',"") 
        print("%s\t%s\t%s"%(id,film_name,info)+'\n')
        count += 1
        if count == 10:
            break

#主函数
url = "https://movie.douban.com/top250?format=text"
crawl(url)
        
        
