import psutil
def B2KMG(B):
    if B>=1024**3:
        return str(round(B/1024**3,1))+'GB'
    elif B>=1024**2:
        return str(round(B/1024**2,1))+'MB'
    elif B>=1024:
        return str(round(B/1024,1))+'KB'
    else:
        return str(B)+'B'

print("挂载点\t文件类型\t总容量\t\t已用容量\t剩余容量\t已用占比")
for part in psutil.disk_partitions():
    usage=psutil.disk_usage(part.mountpoint)
    print(part.mountpoint,part.fstype,'',
    B2KMG(usage.total),'',
    B2KMG(usage.used),'',
    B2KMG(usage.free),'',
    usage.percent,sep='\t')
